#btnarea {
  bottom: 5px;
  position: fixed;
  z-index: 1;
}

#create_filename {
  background-color: rgba(0,0,0,.5);
  border: 1px solid #FFF;
  border-bottom-right-radius: initial;
  box-sizing: border-box;
  color: #FFF;
  font-size: 16px;
  left: 10px;
  margin: 0;
  max-width: 100%;
  opacity: .75;
  overflow: hidden;
  padding: 5px;
  position: fixed;
  top: 10px;
  white-space: nowrap;
  width: 170px;
  z-index: 1;
}

#downloaded_filename {
  background-color: rgba(0,0,0,.5);
  border-radius: 5px;
  box-sizing: border-box;
  color: #FFF;
  display: block;
  height: 40px;
  line-height: 30px;
  margin: 0;
  opacity: .75;
  overflow: hidden;
  padding: 5px;
  text-align: middle;
  text-overflow: ellipsis;
  vertical-align: middle;
  white-space: nowrap;
  z-index: 1;
}

#finallink,#downloadprogress {
  color: #FFF;
}

#linenos,#create_linenos {
  color: #7d7d7d;
  float: left;
  font-family: monospace;
  left: 5px;
  overflow: hidden;
  position: absolute;
  text-align: right;
  top: 6.5px;
  width: 30px;
  z-index: -1;
}

#module_download .preview {
  display: block;
  margin: 0 auto;
  max-height: 100%;
  max-width: 100%;
}

#module_download,#downloaddetails {
  height: 100%;
  position: absolute;
  top: 0;
  width: 100%;
}

#pastearea {
  cursor: pointer;
}

#pastearea.dragover {
  background-color: rgba(255,255,255,.2);
}

#pastearea:hover {
  -moz-transition: background-color 100ms ease-in;
  -ms-transition: background-color 100ms ease-in;
  -o-transition: background-color 100ms ease-in;
  -webkit-transition: background-color 100ms ease-in;
  background-color: #313538;
  transition: background-color 100ms ease-in;
}

#pastecatcher {
  height: 0;
  left: 0;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  top: 0;
  width: 0;
}

#previewimg {
  max-height: 100%;
  max-width: 100%;
}

#previewimg img {
  display: block;
  margin: 0 auto;
}

#previewimg img:not(.dragged) {
  max-height: 100vh;
  max-width: 100vw;
}

#progressamountbg {
  background-color: rgba(0,10,0,.5);
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 0;
  z-index: -1;
}

#uploadview .centerview {
  display: table;
  height: 100%;
  width: 100%;
}

.boxarea {
  -moz-transition: background-color 400ms ease-out;
  -ms-transition: background-color 400ms ease-out;
  -o-transition: background-color 400ms ease-out;
  -webkit-transition: background-color 400ms ease-out;
  transition: background-color 400ms ease-out;
}

.btn {
  -webkit-box-align: start;
  background-color: rgba(0,0,0,.5);
  border: 2px solid #FFF;
  box-sizing: border-box;
  color: #FFF!important;
  cursor: pointer;
  display: inline-block;
  font: inherit;
  font-size: 16px;
  height: 40px;
  line-height: 16px;
  margin: 0 0 0 5px;
  opacity: .75;
  padding: 10px;
  text-align: center;
  text-decoration: none;
  transition: all 400ms ease-out;
  vertical-align: middle;
  white-space: nowrap;
}

.btn:hover {
  background-color: #313538;
  opacity: 1;
  transition: all 100ms ease-in;
}

.contentarea {
  border: 2px solid #FFF;
  bottom: 0;
  color: #FFF;
  height: 200px;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  text-align: center;
  top: 0;
  vertical-align: middle;
  width: 200px;
}

.contentarea .boxarea {
  display: table-cell;
  text-align: center;
  vertical-align: middle;
}

.contentarea h1 {
  margin: 0;
}

.downloadexplain {
  color: #fff;
  font-size: 30px;
}

.dragresize.dragging {
  cursor: nwse-resize;
}

.footer {
  bottom: 10px;
  margin: auto;
  position: fixed;
  text-align: center;
  width: 100%;
  color: #FFF;
}

.footer a {
  color: #FFF;
  font-size: 14px;
  opacity: .5;
  text-decoration: none;
}

.hidden {
  display: none!important;
}

.loadingtext {
  color: #FFF;
  text-align: center;
}

.noscript {
  color: #FFF;
  margin: 0;
  text-align: center;
  vertical-align: middle;
}

.previewtext {
  height: calc(100% - 110px);
  overflow: auto;
  position: absolute;
  top: 55px;
  width: 100%;
}

.previewtext > textarea {
  background: transparent none repeat scroll 0 0;
  border: 0 none;
  box-sizing: border-box;
  color: #c5c8c6!important;
  font-family: monospace!important;
  font-size: 13px;
  height: calc(100% - 5px);
  margin: 0;
  outline: medium none;
  padding: 6.5px 0 0 50px;
  position: absolute;
  resize: none;
  width: 100%;
}

.previewtext code {
  background: none;
  margin: 0;
  overflow: visible;
}

.previewtext pre {
  margin: 0;
  padding-left: 50px;
}

.topbar {
  box-sizing: border-box;
  display: flex;
  height: 40px;
  padding: 5px;
  position: fixed;
  width: 100%;
  z-index: 1;
}

.viewcontent {
  height: 100%;
  width: 100%;
}

.viewswitcher {
  -webkit-flex-shrink: 0;
  display: flex;
  flex-shrink: 0;
  margin-left: auto;
  vertical-align: top;
  white-space: nowrap;
}

audio.preview,video.preview,.downloadexplain,#downloadprogress,#previewimg {
  -webkit-transform: translateY(-50%);
  margin: 0 auto;
  position: relative;
  text-align: center;
  top: 50%;
  transform: translateY(-50%);
}

body {
  background-color: #1d1f21;
  overflow: auto;
}

body,html {
  font-family: Sans-Serif;
  height: 100%;
  margin: 0;
  overflow: auto;
  padding: 0;
}

span.notice {
	font-size: 0.8em;
}
